#ifndef VCMTDLL_H
#define VCMTDLL_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#define VCMTDLL_API __declspec(dllexport)

namespace VCMTDLL {

typedef void* MT_THREAD_HANDLE;

extern "C" {

VCMTDLL_API MT_THREAD_HANDLE vcmtdll_NewThread();
VCMTDLL_API void vcmtdll_DeleteThread(MT_THREAD_HANDLE ahandle);
VCMTDLL_API void vcmtdll_RegisterCallback(MT_THREAD_HANDLE ahandle, void* pCBFunc, void* pCBData);
VCMTDLL_API void vcmtdll_StartThread(MT_THREAD_HANDLE ahandle, unsigned int iDelay);

}// extern "C"

}// namespace VCMTDLL

#endif  // VCMTDLL_H

