#include "vcmtdll.h" // Header ot this C modul
#include "othread.h" // Thread obbject
#include <stdio.h>   // printf etc.

namespace VCMTDLL {

VCMTDLL_API MT_THREAD_HANDLE vcmtdll_NewThread(){
  //printf ("vcmtdll_NewThread\n");
	return MT_THREAD_HANDLE(new MTTHREAD());
}

VCMTDLL_API void vcmtdll_DeleteThread(MT_THREAD_HANDLE ahandle){
  //printf ("vcmtdll_DeleteThread\n");
  if (NULL != ahandle){
  	delete ((MTTHREAD*)ahandle);
  }
  else{
    printf ("Thread object is NULL!\n");
  }
}

VCMTDLL_API void vcmtdll_RegisterCallback(MT_THREAD_HANDLE ahandle, void* pCBFunc, void* pCBData){
  //printf ("vcmtdll_RegisterCallback\n");
  if (NULL != ahandle){
    ((MTTHREAD*)ahandle)->MTREGISTERCB(pCBFunc, pCBData);
  }
  else{
    printf ("Thread object is NULL!\n");
  }
}

VCMTDLL_API void vcmtdll_StartThread(MT_THREAD_HANDLE ahandle, unsigned int iDelay){
  //printf ("vcmtdll_StartThread\n");
  if (NULL != ahandle){
    ((MTTHREAD*)ahandle)->MTSTART(iDelay);
  }
  else{
    printf ("Thread object is NULL!\n");
  }
}

} // namespace VCMTDLL
